Package nu.xom

# Class NamespaceConflictException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
nu.xom.XMLException
nu.xom.WellformednessException
nu.xom.NamespaceConflictException

All Implemented Interfaces:
  `Serializable`

public class NamespaceConflictException extends WellformednessException

Signals an attempt to set a namespace in a way that conflicts with an existing namespace; for instance, adding an attribute to an element that has the same prefix as the element but maps it to a different URI.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NamespaceConflictException(String message)`
Creates a new `NamespaceConflictException` with a detail message.
`NamespaceConflictException(String message, Throwable cause)`
Creates a new `NamespaceConflictException` with a detail message and an underlying root cause.

## Method Summary

### Methods inherited from class nu.xom.XMLException

`getCause, initCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NamespaceConflictException

public NamespaceConflictException(String message)

Creates a new `NamespaceConflictException` with a detail message.

Parameters:
  `message` - a string indicating the specific problem

### NamespaceConflictException

public NamespaceConflictException(String message, Throwable cause)

Creates a new `NamespaceConflictException` with a detail message and an underlying root cause.

Parameters:
  `message` - a string indicating the specific problem
  `cause` - the original cause of this exception